Summary: Mtools is a collection of utilities to access MS-DOS disks from GNU and Unix without mounting them.
Name: mtools
Version: 4.0.43
Release: 1%{?dist}
License: GPLv3+
URL: https://www.gnu.org/software/mtools/
Source0: http://ftp.gnu.org/gnu/mtools/mtools-%{version}.tar.gz
Patch3000: mtools-3.9.6-config.patch

BuildRequires: make gcc texinfo autoconf automake
Requires: glibc-gconv-extra

%description
Mtools is a collection of utilities to access MS-DOS disks from GNU 
and Unix without mounting them. It supports Win'95 style long file names, 
OS/2 Xdf disks and 2m disks (store up to 1992k on a high density 3 1/2 disk). 
In addition to file access, it supports many FAT-specific features: volume labels, 
FAT-specific file attributes (hidden, system, ...), "bad block" map maintenance, 
access to remote floppy drives, Iomega ZIP disk protection, "secure" erase, display 
of file's on-disk layout, etc.
Mtools should be installed if you need to use MS-DOS disks

%prep
%autosetup -n  %{name}-%{version}

%build
autoreconf -fiv
%configure --disable-floppyd
%make_build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}/%{_infodir}
%make_install
install -m644 mtools.conf %{buildroot}%{_sysconfdir}
gzip -9f %{buildroot}/%{_infodir}/*
rm -f %{buildroot}/%{_infodir}/dir.gz

find %{buildroot} -name "floppyd*" -exec rm {} \;

ln -s mtools.5.gz %{buildroot}%{_mandir}/man5/mtools.conf.5.gz

%files
%license COPYING
%doc README Release.notes NEWS 
%config(noreplace) %{_sysconfdir}/mtools.conf
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/mtools.info*

%changelog
* Mon Aug 21 2023 Wang Guodong <gordonwwang@tencent.com> - 4.0.43-1
- Upgrade to version 4.0.43

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.40-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.40-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 04 2022 Wang Zhe <bessiewang@tencent.com> - 4.0.40-1
- initial build
